// LAYOUT


.news-intro
  padding: 0.75em 0 1.25em
  display: flex
  align-items: flex-start
  justify-content: space-between

  @media(max-width: 500px)
    flex-direction: column
    align-items: flex-end

  > .news-title
    line-height: 1.4
    padding: 0
    margin: 0
    font-size: 1.2rem

    +tablet
      font-size: 1.5rem

    > time
      white-space: nowrap

  > .news-author
    display: grid
    flex-shrink: 0
    padding-left: $gutter

    .news-author__label
      align-self: flex-end
      font-weight: bold
      font-size: 80%

    .news-author__name,
    .news-author__label
      white-space: nowrap
      justify-self: flex-end
      line-height: 1.2

    .author-cover-image
      grid-column: 2
      grid-row: 1/3
      padding-left: $gutter
      align-self: center

      > .image > img
        width: 40px
        height: 40px

        +tablet
          width: 60px
          height: 60px
        +desktop
          width: 70px
          height: 70px

.news-sections
  display: grid
  padding-top: $gutter

  +tablet
    grid-template-columns: 1fr 1fr
    grid-column-gap: #{$leading-rem + "rem"}

.news-section
  +tablet
    grid-column: 1

    &--pressespiegel
      grid-column: 2
      grid-row: 1 / span 10 // 10 is an arbitrary number, we just want it to go all the way down

  +mobile
    &--pressespiegel
      order: -1
    &--themen-des-tages
      order: -2

// SECTION

.section-title
  font-size: 1.3rem
  font-family: $font-accent
  font-weight: normal
  line-height: 1.3
  @include margin(.2, 0, .5)
  display: inline-block
  color: mix(color(dark), color(light-background))

// ENTRY

.news-entry

  +margin(.2, 0, 1.4)

  > .news-entry
    +margin(.2, 0, .4, .75)

    > h3
      font-weight: normal

  > h3
    color: color(action)
    font-weight: bold
    font-size: 1rem
    line-height: 1.3
    @include margin(0, 0, .11)

  > .untertitel
    font-size: .9rem
    line-height: 1.2

  > .meta
    color: color(lighter)
    font-size: 0.67rem
    line-height: 1.2
    @include margin(.11, 0, 0)
    font-weight: normal

    > .source
      font-weight: bold
      color: color(lighter)

.news-entry
  > h4
    // "Außerdem zum Thema"
    margin: $gutter 0 0
    font-size: .81rem
    color: color(light)

// AUFMACHER

.aufmacher
  grid-column: 1
  grid-row: 1 / 3

  margin-top: .5rem

  font-size: .9em

  > h3
    @include margin(.11, 0, .11)
    font-weight: bold

    + p
      margin-top: 0
      line-height: 1.5

  > p > strong
    color: color(light)
